<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8CB883C0-99C3-4DD4-B017-F9B92010A806}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>AGVControl</RootNamespace>
    <AssemblyName>AGVControl</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="arCommUtil">
      <HintPath>..\..\DLL\arCommUtil.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Dialog\fMapDesign.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fMapDesign.Designer.cs">
      <DependentUpon>fMapDesign.cs</DependentUpon>
    </Compile>
    <Compile Include="Dialog\fPropertyRFIDPoint.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\fPropertyRFIDPoint.Designer.cs">
      <DependentUpon>fPropertyRFIDPoint.cs</DependentUpon>
    </Compile>
    <Compile Include="GridView\ColorListItem.cs" />
    <Compile Include="GridView\GridItem.cs" />
    <Compile Include="GridView\GridView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="GridView\GridView.Designer.cs">
      <DependentUpon>GridView.cs</DependentUpon>
    </Compile>
    <Compile Include="MapControlManager.cs" />
    <Compile Include="Models\AGVActionPrediction.cs" />
    <Compile Include="BatteryLevelGauge.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="BatteryLevelGauge.Designer.cs">
      <DependentUpon>BatteryLevelGauge.cs</DependentUpon>
    </Compile>
    <Compile Include="GuideSensor.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="GuideSensor.Designer.cs">
      <DependentUpon>GuideSensor.cs</DependentUpon>
    </Compile>
    <Compile Include="MapControl.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="MapControl.Designer.cs">
      <DependentUpon>MapControl.cs</DependentUpon>
    </Compile>
    <Compile Include="Models\AGV.cs" />
    <Compile Include="Models\CustomLine.cs" />
    <Compile Include="Models\enumStruct.cs" />
    <Compile Include="Models\MagnetLine.cs" />
    <Compile Include="Models\MapElements.cs" />
    <Compile Include="Models\MapText.cs" />
    <Compile Include="Models\PathResult.cs" />
    <Compile Include="Models\RFIDLine.cs" />
    <Compile Include="Models\RFIDPoint.cs" />
    <Compile Include="Models\ToolBarItem.cs" />
    <Compile Include="MyRadioButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="MyRadioButton.Designer.cs">
      <DependentUpon>MyRadioButton.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Models\RFIDConnection.cs" />
    <Compile Include="RoundButton.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="RoundButton.Designer.cs">
      <DependentUpon>RoundButton.cs</DependentUpon>
    </Compile>
    <Compile Include="ValueSelect.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="ValueSelect.Designer.cs">
      <DependentUpon>ValueSelect.cs</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Dialog\fMapDesign.resx">
      <DependentUpon>fMapDesign.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Dialog\fPropertyRFIDPoint.resx">
      <DependentUpon>fPropertyRFIDPoint.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="MapControl.resx">
      <DependentUpon>MapControl.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CommData\CommData.csproj">
      <Project>{14e8c9a5-013e-49ba-b435-efefc77dd623}</Project>
      <Name>CommData</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\ico_navi_40.png" />
    <None Include="sample.route" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>